Page MenuHomeFreeBSD

share/man/man4/Makefile: only install Hyper-V manuals on amd64 and i386
ClosedPublic

Authored by decui_microsoft.com on Nov 18 2016, 11:18 AM.

Details

Summary

We shouldn't install them on the architectures Hyper-V doesn't support.

And, hv_ata_pci_disengage.4.gz should be removed from all architectures:

  1. It should have only applied to Hyper-V;
  2. For Hyper-V platforms (amd64 and i386), the related driver was removed by

r306426 | sephe | 2016-09-29 09:41:52 +0800 (Thu, 29 Sep 2016),
because now we have a better mechanism to disble the ata driver for hard
disks when the VM runs on Hyper-V.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

decui_microsoft.com retitled this revision from to share/man/man4/Makefile: only install Hyper-V manuals on amd64 and i386.
decui_microsoft.com updated this object.
decui_microsoft.com edited the test plan for this revision. (Show Details)
andrew edited edge metadata.Nov 19 2016, 2:14 PM

You should also add them to ObsoleteFiles.inc, but with a condition to check the arch, e.g. .if ${TARGET_ARCH} != "amd64" && ${TARGET_ARCH} != "i386"

decui_microsoft.com edited edge metadata.

updated ObsoleteFiles.inc accordingly (removing the manuals for ARCHs other than amd64 and i386)

sepherosa_gmail.com edited edge metadata.
This revision is now accepted and ready to land.Nov 21 2016, 5:49 AM
decui_microsoft.com edited edge metadata.

Don't forget usr/share/man/man4/hv_ata_pci_disengage.4.gz.

This revision now requires review to proceed.Nov 21 2016, 5:51 AM
ObsoleteFiles.inc
49 ↗(On Diff #22393)

This one is deleted on all archs.

decui_microsoft.com edited edge metadata.

hv_ata_pci_disengage.4.gz doesn't exist for ALL architectures any longer.

jhb accepted this revision.Nov 21 2016, 5:51 PM
jhb edited edge metadata.

Looks good. I just have a suggestion (inline)

ObsoleteFiles.inc
50 ↗(On Diff #22406)

I would add a separate comment above this line explaining that this driver (and manual page) were removed with the date of its removal.

This revision is now accepted and ready to land.Nov 21 2016, 5:51 PM
andrew accepted this revision.Nov 21 2016, 5:57 PM
andrew edited edge metadata.
sepherosa_gmail.com edited edge metadata.
decui_microsoft.com updated this object.
decui_microsoft.com edited edge metadata.

Added a comment before the line "OLD_FILES+=usr/share/man/man4/hv_ata_pci_disengage.4.gz"

This revision now requires review to proceed.Nov 22 2016, 5:26 AM
sepherosa_gmail.com edited edge metadata.
This revision is now accepted and ready to land.Nov 22 2016, 5:27 AM
jhb accepted this revision.Nov 22 2016, 6:24 PM
jhb edited edge metadata.
jhb added inline comments.
ObsoleteFiles.inc
50 ↗(On Diff #22429)

I would just use the date the manual was removed as the date here:

#20161118: Remove hv_ata_pci_disengage(4)
decui_microsoft.com edited edge metadata.

addressed jhb's comment

This revision now requires review to proceed.Nov 23 2016, 1:34 AM
decui_microsoft.com marked an inline comment as done.Nov 23 2016, 1:35 AM
decui_microsoft.com added inline comments.
ObsoleteFiles.inc
50 ↗(On Diff #22406)

Sure, I'll add a line of comment for this in the header of the patch.

sepherosa_gmail.com edited edge metadata.
This revision is now accepted and ready to land.Nov 23 2016, 1:38 AM
This revision was automatically updated to reflect the committed changes.